> ## Documentation Index
> Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /v1/gateways/reference-consumer

> Get the priorly-configured IPSec gateway details for a customer, lan segment, region combination to be re-used for any new service matches for that customer with the given lan segment and region

## OpenAPI

````json GET /v1/gateways/reference-consumer
{
  "openapi": "3.0.0",
  "info": {
    "title": "Graphiant APIs",
    "version": "1.0.0",
    "description": "Graphiant API documentation."
  },
  "servers": [
    {
      "url": "https://api.graphiant.com"
    }
  ],
  "security": [
    {
      "jwtAuth": []
    }
  ],
  "tags": [],
  "paths": {
    "/v1/gateways/reference-consumer": {
      "get": {
        "security": [
          {
            "jwtAuth": []
          }
        ],
        "parameters": [
          {
            "in": "header",
            "name": "Authorization",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Bearer token. Format: Bearer <your_token_here>"
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/v1GatewaysReferenceConsumerGetResponse"
                }
              }
            }
          }
        },
        "description": "Get the priorly-configured IPSec gateway details for a customer, lan segment, region combination to be re-used for any new service matches for that customer with the given lan segment and region"
      }
    }
  },
  "components": {
    "schemas": {
      "v1GatewaysReferenceConsumerGetResponse": {
        "type": "object",
        "properties": {
          "ipsecGatewayDetails": {
            "$ref": "#/components/schemas/manaV2IPsecGatewayDetails"
          },
          "ipsecGatewayPeers": {
            "$ref": "#/components/schemas/manaV2IPsecGatewayPeersConfig"
          }
        },
        "additionalProperties": false
      },
      "manaV2IPsecGatewayDetails": {
        "type": "object",
        "properties": {
          "destinationAddress": {
            "type": "string",
            "example": "example string"
          },
          "ikeInitiator": {
            "type": "boolean",
            "example": true
          },
          "mtu": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          },
          "name": {
            "type": "string",
            "example": "example string"
          },
          "remoteIkePeerIdentity": {
            "type": "string",
            "example": "example string"
          },
          "routing": {
            "$ref": "#/components/schemas/manaV2IpsecRoutingConfig"
          },
          "tcpMss": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          },
          "tunnel1": {
            "$ref": "#/components/schemas/manaV2IPsecGatewayTunnelDetails"
          },
          "tunnel2": {
            "$ref": "#/components/schemas/manaV2IPsecGatewayTunnelDetails"
          },
          "vpnProfile": {
            "type": "string",
            "example": "example string"
          }
        },
        "additionalProperties": false
      },
      "manaV2IPsecGatewayPeersConfig": {
        "type": "object",
        "properties": {
          "name": {
            "type": "string",
            "example": "example string",
            "description": "Name of the IPsec gateway service"
          },
          "remotePeers": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/manaV2IPsecGatewayRemotePeer"
            }
          },
          "routing": {
            "$ref": "#/components/schemas/manaV2IpsecRoutingConfig"
          }
        },
        "additionalProperties": false
      },
      "manaV2IpsecRoutingConfig": {
        "type": "object",
        "properties": {
          "bgp": {
            "$ref": "#/components/schemas/manaV2IPsecBgpRouteConfig"
          },
          "static": {
            "$ref": "#/components/schemas/manaV2IPsecStaticRouteConfig"
          }
        },
        "additionalProperties": false
      },
      "manaV2IPsecGatewayTunnelDetails": {
        "type": "object",
        "properties": {
          "insideIpv4Cidr": {
            "type": "string",
            "example": "example string"
          },
          "insideIpv6Cidr": {
            "type": "string",
            "example": "example string"
          },
          "localIkePeerIdentity": {
            "type": "string",
            "example": "example string"
          },
          "psk": {
            "type": "string",
            "example": "example string"
          }
        },
        "additionalProperties": false
      },
      "manaV2IPsecGatewayRemotePeer": {
        "type": "object",
        "properties": {
          "destinationAddress": {
            "type": "string",
            "example": "example string"
          },
          "ikeInitiator": {
            "type": "boolean",
            "example": true,
            "description": "When true, Graphiant initiates IKE for this peer"
          },
          "mtu": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          },
          "name": {
            "type": "string",
            "example": "example string",
            "description": "Optional display name or label for this peer; used when generating tunnel names"
          },
          "remoteIkePeerIdentity": {
            "type": "string",
            "example": "example string",
            "description": "IKE identity of the remote peer"
          },
          "tcpMss": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          },
          "tunnel1": {
            "$ref": "#/components/schemas/manaV2IPsecGatewayTunnelDetails"
          },
          "tunnel2": {
            "$ref": "#/components/schemas/manaV2IPsecGatewayTunnelDetails"
          },
          "vpnProfile": {
            "type": "string",
            "example": "example string",
            "description": "Enterprise IPsec VPN profile name for this peer"
          }
        },
        "additionalProperties": false
      },
      "manaV2IPsecBgpRouteConfig": {
        "type": "object",
        "properties": {
          "addressFamilies": {
            "type": "object",
            "additionalProperties": {
              "$ref": "#/components/schemas/manaV2NullableBgpNeighborAddressFamilyConfig"
            }
          },
          "holdTimer": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          },
          "keepaliveTimer": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          },
          "md5Password": {
            "$ref": "#/components/schemas/manaV2NullableMd5Password"
          },
          "peerAsn": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          },
          "sendCommunity": {
            "type": "boolean",
            "example": true
          }
        },
        "additionalProperties": false
      },
      "manaV2IPsecStaticRouteConfig": {
        "type": "object",
        "properties": {
          "destinationPrefix": {
            "type": "array",
            "items": {
              "type": "string",
              "example": "example string"
            }
          }
        },
        "additionalProperties": false
      },
      "manaV2NullableBgpNeighborAddressFamilyConfig": {
        "type": "object",
        "properties": {
          "family": {
            "$ref": "#/components/schemas/manaV2BgpNeighborAddressFamilyConfig"
          }
        },
        "additionalProperties": false
      },
      "manaV2NullableMd5Password": {
        "type": "object",
        "properties": {
          "md5Password": {
            "type": "string",
            "example": "example string"
          }
        },
        "additionalProperties": false
      },
      "manaV2BgpNeighborAddressFamilyConfig": {
        "type": "object",
        "properties": {
          "addressFamily": {
            "type": "string",
            "example": "ENUM_VALUE"
          },
          "inboundPolicy": {
            "$ref": "#/components/schemas/manaV2NullablePolicyName"
          },
          "outboundPolicy": {
            "$ref": "#/components/schemas/manaV2NullablePolicyName"
          }
        },
        "additionalProperties": false
      },
      "manaV2NullablePolicyName": {
        "type": "object",
        "properties": {
          "policy": {
            "type": "string",
            "example": "example string"
          }
        },
        "additionalProperties": false
      }
    },
    "securitySchemes": {
      "jwtAuth": {
        "type": "apiKey",
        "in": "header",
        "name": "authorization",
        "description": "Use `Bearer <token>`"
      }
    }
  }
}
````

